import filters from './filters';
import components from './components';
import eventHub from './plugins/event-hub';
import { ajax, modelUtils, commonUtils } from './utils';
import directives from './directives';
import * as consts from './consts';

export { consts, ajax, modelUtils, commonUtils };
export default {
  install(Vue, options) {
    Vue.use(filters);
    Vue.use(eventHub);
    Vue.use(directives);
    Vue.use(components);
  }
}
