import _ from 'lodash';

import complexTable from './complex-table';
import imageView from './image-view';
import layouts from './layouts';
import cptStep from './step/main';

const comps = {
  complexTable,
  imageView,
  ...layouts,
  cptStep
}
export default {
  install(Vue, options) {
    _.each(comps, (comp, name) => {
      Vue.component(name, comp);
    });
  }
}
